---
title: Pav2 to Arix integration: Draws or line-of-credit
slug: apis/lending/application-decisioning/Pav2-to-Arix-integration-draws-or-line-of-credit
description: Learn how the Pav2–Arix integration streamlines loan lifecycle management, automates master loan creation, and supports compliant LOC draws and funding.
docTags: 
createdAt: 2024-08-14T10:59:19.788Z
---

# Draws or line-of-credit

The Pav2 to Arix integration gives partners a single API entry point for the full loan lifecycle. Application data submitted through Pav2 is automatically translated and forwarded to Arix for loan creation; eliminating duplicate integrations, reducing onboarding timelines, and getting you to your first funded loan faster.

To operate Line of Credit (LOC) loans or loans with Multiple Draws, or to enable you to buy **draws**, you need to implement the process of submitting a master application + loan, and then subline "loan" directly to Arix.&#x20;

:::hint{type="warning"}
Sublines do not require another application submission, unless there is a new decision on the application. The application submission creates the master line in this flow.
:::

# Line of credit flow:  Step-by-step

![](https://api.archbee.com/api/optimize/4hvUOg5mU1sCngl0n0Has/Ce8YYNm-B9UoG7gTtXF1j_container.png)

## Phase 1: Master loan creation (one-time)

- **Partner → Pav2:** `POST /`[Application](docId\:PTX0F232EfVCVLbsYzT6I) (submit LOC application)
  - **Pav2 validates** and calls Arix `POST /Loan` (system-to-system) when an application is **approved and ready for funding&#x20;**&#x61;ccording to application details.
- **Pav2 → Partner:** Returns 200 with **Master LoanID. Save this ID for calling Arix.**
- **Partner → Pav2:** `POST /v2/applications/by-app-id/{applicationid}/attachments` (app docs stored in Pav2 only, not sent to Arix)
- **Arix → Partner:** Webhook `LoanStatusUpdated` Status = 1 (Received)
- **Partner → Arix:** `POST /Loan/{MasterLoanId}/Attachments` (compliance docs)
- **Arix** runs compliance checks → ✅ Passes
- **Arix → Partner:** Webhook `LoanStatusUpdated` Status = 11 (`AwaitingFunding`) or 104 (`NotFullyFunded`)&#x20;
  - ⛔ **Master Loan** should not include funding. If you need status to be Funded, you can call [Loan funding - payment rails](docId\:GMP-Bavby6sAgCbQlLsJM) with an empty array \[] of rails.&#x20;

:::BlockQuote
✅ Master Loan approved and ready for draws
:::

## Phase 2: Subline draw (repeat per draw)

- **Partner → Arix (direct):** `POST /Loan` includes draw amount, Master LoanID reference, and rails\[] (funding info)
  - Pav2 is **not** involved in draws
- **Arix** creates Subline linked to Master → **skips compliance** (Master already passed) → processes funding using rails\[]
- **Arix → Partner:** Webhook `LoanStatusUpdated` InFunding → Funded (Subline LoanID)
- **Partner** submits daily servicing data for the subline until paid off/closed

:::BlockQuote
🔄 Repeat Steps 17–24 from the step-by-step flow for each additional draw
:::

# Details and format of subline draws

::::WorkflowBlock
:::WorkflowBlockItem
**Unique loan number**

- When calling Pav2 to open the LOC:
  The field **Loannumber** = `<loan-number>`
- On Draws:
  The field **Loannumber** = `<loanNumber>`-yyyymmdd (add mmss if needed to make more than one draw per day).
:::

:::WorkflowBlockItem
**Oversight**

We perform oversight checks when the LOC is opened, and Pav2 calls Arix the first time for the partner.&#x20;
For subsequent draws, the JSON in `field5` should contain the following:

```json
{
  "Loan": {
    "LoanNumber": {{loanNumber}}, // in form <loanNumber>-yyyymmdd (add mmss if needed to make more than one draw per day).
    "IssuingBankId": "CRB", // hardcode this
    "Platform": "PartnerPlatform", // hardcode this
    "LoanType": 1, // same as master line
    "NoteDate": "2025-12-18", // same as master line
    "BorrowerLastName": "a LOC draw", //hardcode this
    "BorrowerFirstName": "This is",//, hardcode this
    "BorrowerDOB": "1970-01-01", // hardcode this
    "BorrowerSSN": "999999999", // hardcode this
    "BorrowerAddress": "2115 Linwood Avenue" , // hardcode this
    "BorrowerCity": "Fort Lee", // hardcode this
    "BorrowerState": "NJ", // hardcode this
    "BorrowerZip": "07024", // hardcode this
    "Rate": 10.0, // hardcode this
    "APR": 10.0, // hardcode this
    "Program": "Draw", // hardcode this
    "Investor": "CompanyPurchasingLoan", // Investor that will purchase the loan - String(300)
    "LoanAmount":5000000.00, // this amount needs to match the amount of the draw
    "NetFunding":5000000.00, // this amount needs to match the amount of the draw
    "Field5": "[{\"RevolvingLineFirstAppearance\":\"no\",\"RevolvingLineBalanceAsOfWhenCallingCRB\":4602199.98,\"RevolvingLineGUID\":\"This is the GUID that you receive on the response from PAV2\",\"CreditPolicyVersion\":\"v1.1\"}]",   
	"Rails": [
         {    // this example is using an XPAY rail. you shoud use for your draw the rail that is needed
        "XPayFields": {
                    "ToAccountName": "TETArixStgChecking", // sandbox
                    "ToAccountNumber": "2122225523", // sandbox
                    "Description": "test draw"
                },
                "RailType": "COSXPay",  // this should be the rail that you need to use
                "Priority": 1,
                "Amount": 5000000.00    // this amount needs to match the amount of the draw      
         }  
    ]
  }
}
```

The information in field5 of the above JSON, will allow the system to connect to the Master Loan. Here is a closer look:

```json
{
   "RevolvingLineFirstAppearance":"no",
   "RevolvingLineGUID":"GUID from Origination/First Appearance,
   "RevolvingLineBalanceAsOfWhenCallingCRB":"$123",
   "CreditPolicyVersion":"v1.1"
}
```

Field `Rails` should contain the payment rails to be funded.
:::

:::WorkflowBlockItem
**NetFunding rule**

| **Loan Tape:**<br />- NetFunding<br />- OriginationsFee<br />- Field5MerchantFee<br />**Loan Agreement:**<br />- AmountFinanced | 1. NetFunding = AmountFinanced<br />2. NetFunding = Loan Amount-Origination Fee-Field5.MerchantFee<br />    **Or**<br />     3. For draws, NetFunding = sum of the rails being funded |
| ------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
:::

:::WorkflowBlockItem
**Draw rule**

| **Loan Tape**<br />- `Field5RevolvingLineFirstAppearance`<br />- `Field5RevolvingLineGUID` | 1. If `RevolvingLineFirstAppearance` = ‘**No**’, you can skip all Arix rules if `RevolvingLineGUID` is a valid GUID and it's status is not in (1,101,102,100)<br />2. If `RevolvingLineGUID` = ‘First Appearance’, pass this rule<br />3. Room for additional rules inline with what any checks that you make during draws |
| ------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
:::
::::

